List EOIs
curl --request GET \
--url https://app.kenekt.com.au/v1/{agency_uid}/eois \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/eois"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/eois', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/eois",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/eois"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.kenekt.com.au/v1/{agency_uid}/eois")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/eois")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"eois": [
{
"id": 1,
"public_uid": "EO-7899641",
"status": "started",
"deal_id": 908005740,
"build_uid": "BP-1234",
"property_address": "123 Test St NORTH ROCKS NSW 2151",
"selling_agent_email": "test@example.com",
"selling_agent_phone": null,
"package": {
"address": {
"street_name": "123 Test St",
"suburb": "NORTH ROCKS",
"state": "NSW",
"post_code": "2151",
"estate": "Northam Estate"
},
"house": {
"house_design": "KENEKT DESIGN",
"facade": "KENEKT FACADE",
"bedrooms": 3,
"bathrooms": 2
},
"contract": {
"contract_value": 0,
"agent": "Test User",
"agent_sales_consultant": "Test User"
}
},
"brochure_path": null,
"evolve_project_code": null,
"evolve_pushed_at": null,
"evolve_contract_pack_sent_at": null,
"purchase_intent": null,
"ownership_type": null,
"first_home": false,
"firb_required": false,
"cash_buyer": false,
"finance_approved": false,
"subject_to_finance": false,
"proposed_finance_date": null,
"deposit_amount": "0.0",
"deposit_method": null,
"proposed_settlement_date": null,
"contract_names": null,
"notes": null,
"purchasers": [],
"buyer_form_path": "/eoi/2nEzxVtoQCpynMT87F4vcM9e?sig=SIGNATURE",
"created_at": "2026-10-17T15:06:39.371+11:00",
"completed_at": null
}
]
}EOIs
List EOIs
The agency’s expressions of interest, newest first, filterable by status. Each carries its purchasers, the package address, house and contract, and a download path for the brochure frozen at submit.
GET
/
{agency_uid}
/
eois
List EOIs
curl --request GET \
--url https://app.kenekt.com.au/v1/{agency_uid}/eois \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/eois"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/eois', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/eois",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/eois"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.kenekt.com.au/v1/{agency_uid}/eois")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/eois")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"eois": [
{
"id": 1,
"public_uid": "EO-7899641",
"status": "started",
"deal_id": 908005740,
"build_uid": "BP-1234",
"property_address": "123 Test St NORTH ROCKS NSW 2151",
"selling_agent_email": "test@example.com",
"selling_agent_phone": null,
"package": {
"address": {
"street_name": "123 Test St",
"suburb": "NORTH ROCKS",
"state": "NSW",
"post_code": "2151",
"estate": "Northam Estate"
},
"house": {
"house_design": "KENEKT DESIGN",
"facade": "KENEKT FACADE",
"bedrooms": 3,
"bathrooms": 2
},
"contract": {
"contract_value": 0,
"agent": "Test User",
"agent_sales_consultant": "Test User"
}
},
"brochure_path": null,
"evolve_project_code": null,
"evolve_pushed_at": null,
"evolve_contract_pack_sent_at": null,
"purchase_intent": null,
"ownership_type": null,
"first_home": false,
"firb_required": false,
"cash_buyer": false,
"finance_approved": false,
"subject_to_finance": false,
"proposed_finance_date": null,
"deposit_amount": "0.0",
"deposit_method": null,
"proposed_settlement_date": null,
"contract_names": null,
"notes": null,
"purchasers": [],
"buyer_form_path": "/eoi/2nEzxVtoQCpynMT87F4vcM9e?sig=SIGNATURE",
"created_at": "2026-10-17T15:06:39.371+11:00",
"completed_at": null
}
]
}